/*
 * lcdstat.h
 *
 * Shows system information on the Fujitsu C-4110 Lifebook application panel
 * To be used together with apanel 0.4 or 0.5
 *
 * Copyright by Willem van Engen <wvengen@stack.nl>
 * See COPYRIGHT for copyright
 */

#ifndef __LCDLOAD_H__
#define __LCDLOAD_H__

#define HELPMSG	\
"lcdstat - Copyright by Willem van Engen <wvengen@stack.nl>\n"\
"Shows system information on the Fujitsu C-4110 lcd\n"\
"To be used together with apanel-freebsd 0.4 or 0.5\n"\
"See COPYRIGHT for BSD-style copyright\n"\
"\n"\
"Usage: lcdstat [-d] -s l|b|p [-i interval] [-t interval] [-h] [-w] [-n num]\n"\
"  -d          Become daemon\n"\
"  -i          Update display each interval milliseconds\n"\
"  -w          Wrap: if number exceeds 99, wrap it at 99\n"\
"  -s l|b|p    What to display:\n"\
"              l    System load\n"\
"              b    Remaining battery time in minutes\n"\
"              p    Remaining battery percentage\n"\
"  -t          Period of time of load average (1, 5 or 15 minutes)\n"\
"  -n          Number for renice-ing from 20(low priority) to -20 (default 10)\n"\
"  -h          Show this help\n"

#define WHAT_BPERC	1
#define WHAT_BTIME	2
#define WHAT_SLOAD	3

#define APMDEV		"/dev/apm"
#define PANELDEV	"/dev/apanel"

void reload(int);
void quit(int);

#endif /* __LCDLOAD_H__ */

